Skip to content
Start here

Delete Pipelines

client.Pipelines.DeleteV1(ctx, pipelineID, body) error
DELETE/accounts/{account_id}/pipelines/v1/pipelines/{pipeline_id}

Delete Pipeline in Account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
pipelineID string

Specifies the public ID of the pipeline.

maxLength32
minLength32
body PipelineDeleteV1Params
AccountID param.Field[string]

Specifies the public ID of the account.

Delete Pipelines

package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  err := client.Pipelines.DeleteV1(
    context.TODO(),
    "043e105f4ecef8ad9ca31a8372d0c353",
    pipelines.PipelineDeleteV1Params{
      AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
}
Returns Examples